import ijeoma.fabrica.benetton.window.*;

import processing.video.*;


BWindowManager bwm;

PFont f;
float a;

Capture c;

void setup() {
  size(1024, 768, P3D);

  f = createFont("Arial", 32);

  bwm = new BWindowManager(this, 0, 0);
  bwm.load("milanoduomo.xml");
  bwm.scale(width, height);

  BWindow bw1 = bwm.getWindow(0);
  bw1.setScaleMode(BWindow.SCALE_WIDTH);
  bw1.setHorizantalAlignMode(BWindow.H_ALIGN_CENTER);
  bw1.setVerticalAlignMode(BWindow.V_ALIGN_BOTTOM);

  BWindow bw2 = bwm.getWindow(1);
  bw2.setScaleMode(BWindow.SCALE_WIDTH);
  bw2.setHorizantalAlignMode(BWindow.H_ALIGN_LEFT);
  bw2.setVerticalAlignMode(BWindow.V_ALIGN_CENTER);

  BWindow bw3 = bwm.getWindow(2);
  bw3.setScaleMode(BWindow.SCALE_WIDTH);
  bw3.setHorizantalAlignMode(BWindow.H_ALIGN_CENTER);
  bw3.setVerticalAlignMode(BWindow.V_ALIGN_CENTER);

  BWindow bw4 = bwm.getWindow(3);
  bw4.setScaleMode(BWindow.SCALE_WIDTH);
  bw4.setHorizantalAlignMode(BWindow.H_ALIGN_CENTER);
  bw4.setVerticalAlignMode(BWindow.V_ALIGN_CENTER);

  c = new Capture(this, width, height, 30);
}

void draw() {
  background(255);


  pushMatrix();
  (bwm.getWindow(0)).setupTransform(c.width, c.height);
  tint(255, 0, 0);
  image(c, 0, 0);
  popMatrix();

  pushMatrix();
  (bwm.getWindow(1)).setupTransform(c.width, c.height);
  tint(0, 255, 0);
  image(c, 0, 0);
  popMatrix();

  pushMatrix();
  (bwm.getWindow(2)).setupTransform(c.width, c.height);
  tint(0, 0, 255);
  image(c, 0, 0);
  popMatrix();

  pushMatrix();
  (bwm.getWindow(3)).setupTransform(c.width, c.height);
  tint(0, 255, 255);
  image(c, 0, 0);
  popMatrix();

  bwm.drawBounds();
  bwm.drawViewableBounds();
  bwm.drawIds();
}

void captureEvent(Capture _c) {
  _c.read();
}

